Subject: Re: [PATCH 3/3] powerpc: perf_event: Hide iseries_check_pending_irqs

From: Ingo Molnar <[email-masked]>
Date: Mon, 19 Oct 2009 09:23:34 +0200

* Anton Blanchard <[email-masked]> wrote:

> If CONFIG_PPC_ISERIES isn't defined we end up with iseries_check_pending_irqs
> and do_work at the same address. perf ends up picking
> iseries_check_pending_irqs which creates confusing backtraces. Hide it.
> 
> Signed-off-by: Anton Blanchard <[email-masked]>

Just to confirm - these 3 symbol fixes are for the PowerPC tree, not for 
the perf events tree, right? There's nothing perf specific about the 
fixes - kgdb, systemtap and other debugging/instrumentation frameworks 
will benefit from more precise symbol generation too.

	Ingo